Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.managedBeans
Class UserSession

    java.lang.Object
      vut.msa.managedBeans.UserSession

All Implemented Interfaces:
  java.io.Serializable

    public class UserSession

extends java.lang.Object
implements java.io.Serializable

Trieda sluzi na ukladanie uzivatelskych dat pre jednotlive relacie. Poskytuje aj zakladne funkcie pre navigaciu a GUI.

See Also:
  Serialized Form

Constructor Summary
`UserSession()`

Method Summary
`java.lang.String` | `getActualPage()`
`java.util.List<javax.faces.model.SelectItem>` | `getBackupDisks()`
`java.util.List<javax.faces.model.SelectItem>` | `getBackupTypes()`
`ClientsTree` | `getClientsTree()`
`java.util.List<javax.faces.model.SelectItem>` | `getConnectedDisks()`
`org.primefaces.model.DualListModel<java.lang.String>` | `getDisks()`
`UsersHelper` | `getHelper()`
`ServerInformation` | `getInformation()`
`java.lang.String` | `getLastLogEntry()`
`java.lang.String` | `getLocale()`
`ServerInfoDashboard` | `getServerDashboard()`
`UsersTree` | `getUsersTree()`
`void` | `setBackupDisks(java.util.List<javax.faces.model.SelectItem> backupDisks)`
`void` | `setBackupTypes(java.util.List<javax.faces.model.SelectItem> backupTypes)`
`void` | `setClientsTree(ClientsTree clientsTree)`
`void` | `setConnectedDisks(java.util.List<javax.faces.model.SelectItem> connectedDisks)`
`void` | `setDisks(org.primefaces.model.DualListModel<java.lang.String> disks)`
`void` | `setServerDashboard(ServerInfoDashboard serverDashboard)`
`void` | `setUsersTree(UsersTree tree)`
`java.lang.String` | `showClientsManagement()`
`java.lang.String` | `showMediaAdmin()`
`java.lang.String` | `showMonitoring()`
`java.lang.String` | `showReporting()`
`java.lang.String` | `showServerStatus()`
`java.lang.String` | `showSystemManagement()`
`java.lang.String` | `showUserManagement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserSession

    public UserSession()

Method Detail

### getHelper

    public UsersHelper getHelper()

### getInformation

    public ServerInformation getInformation()

### getLocale

    public java.lang.String getLocale()

### getUsersTree

    public UsersTree getUsersTree()

### setUsersTree

    public void setUsersTree(UsersTree tree)

### getClientsTree

    public ClientsTree getClientsTree()

### setClientsTree

    public void setClientsTree(ClientsTree clientsTree)

### getServerDashboard

    public ServerInfoDashboard getServerDashboard()

### setServerDashboard

    public void setServerDashboard(ServerInfoDashboard serverDashboard)

### getBackupTypes

    public java.util.List<javax.faces.model.SelectItem> getBackupTypes()

### setBackupTypes

    public void setBackupTypes(java.util.List<javax.faces.model.SelectItem> backupTypes)

### getConnectedDisks

    public java.util.List<javax.faces.model.SelectItem> getConnectedDisks()

### setConnectedDisks

    public void setConnectedDisks(java.util.List<javax.faces.model.SelectItem> connectedDisks)

### getBackupDisks

    public java.util.List<javax.faces.model.SelectItem> getBackupDisks()

### setBackupDisks

    public void setBackupDisks(java.util.List<javax.faces.model.SelectItem> backupDisks)

### getDisks

    public org.primefaces.model.DualListModel<java.lang.String> getDisks()

### setDisks

    public void setDisks(org.primefaces.model.DualListModel<java.lang.String> disks)

### getLastLogEntry

    public java.lang.String getLastLogEntry()

### getActualPage

    public java.lang.String getActualPage()

### showMonitoring

    public java.lang.String showMonitoring()

### showReporting

    public java.lang.String showReporting()

### showServerStatus

    public java.lang.String showServerStatus()

### showMediaAdmin

    public java.lang.String showMediaAdmin()

### showUserManagement

    public java.lang.String showUserManagement()

### showClientsManagement

    public java.lang.String showClientsManagement()

### showSystemManagement

    public java.lang.String showSystemManagement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD